IntegrationsGoogle Ads

Get one ad group with tracking template and effective bidding targets.

POST
/integrations/connections/{connection_id}/providers/googleads/ad-groups/get

Get one ad group with tracking template and effective bidding targets.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/googleads/ad-groups/get" \  -H "Content-Type: application/json" \  -d '{    "customer_id": "0000000000",    "ad_group_id": "1"  }'
{  "ad_group": {    "ad_group_id": "example",    "resource_name": "example",    "campaign_id": "example",    "name": "Customer documents",    "status": "ACTIVE"  }}